[CPR-227] Add server packages for debian jessie Created: 2015/09/25  Updated: 2017/08/02  Resolved: 2016/01/19

Status: Closed
Project: Community Package Repository
Component/s: None
Affects Version/s: None
Fix Version/s: 2017/08/02

Type: Epic Priority: Normal
Reporter: Melissa Stone Assignee: Melissa Stone
Resolution: Fixed Votes: 2
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Blocks
is blocked by CPR-111 Please provide repository for Debian ... Closed
is blocked by DOCUMENT-430 Add Debian 8 Jessie to the list of su... Closed
is blocked by PDB-1797 enable test cells for debian 8 jessie Closed
is blocked by PDB-1798 Add debian jessie to build targets at... Closed
Epic Name: Debian Jessie server-side
Template:
Epic Status: Done

 Comments   
Comment by Melissa Stone [ 2016/01/19 ]

All subtasks are closed, and puppet-agent, puppetserver, and puppetdb packages are available at http://apt.puppetlabs.com/pool/jessie/PC1/p/

Comment by Oussama BOUNAIM [ 2016/01/20 ]

Melissa Stone

I'am still unable to get packages for debian jessie from the puppetlabs repository.

Debian Jessie (Only debian version is availbale):
apt-cache policy puppetmaster
puppetmaster:
Installed: (none)
Candidate: 3.7.2-4
Version table:
3.7.2-4 0
500 http://ftp.lip6.fr/pub/linux/distributions/debian/ jessie/main amd64 Packages

Debian Wheezy:
apt-cache policy puppetmaster
puppetmaster:
Installed: 3.8.2-1puppetlabs1
Candidate: 3.8.4-1puppetlabs1
Version table:
3.8.4-1puppetlabs1 0
500 http://apt.puppetlabs.com/ wheezy/main amd64 Packages
3.8.3-1puppetlabs1 0
500 http://apt.puppetlabs.com/ wheezy/main amd64 Packages

http://apt.puppetlabs.com/dists/jessie/main/binary-amd64/Packages
Seems to empty for me.

Should I create support issue for this ?
Thanks in advance.

BR,

Comment by Melissa Stone [ 2016/01/20 ]

Oussama BOUNAIM see my comment on https://tickets.puppetlabs.com/browse/DOCUMENT-430. The packages are up and available, but we've isolated them to the PC1 repo. You'll have to enable that repo specifically in order to access them. We're doing this because we're only making puppet-agent and puppetserver available (read puppet >= 4). We don't want people to mistakenly upgrade from the puppet 3 series because the puppet 4 series contains a lot of changes. Check out https://docs.puppetlabs.com/guides/puppetlabs_package_repositories.html for more information about the Puppet Collections repos (PC1) and how to use them.

Generated at Tue Jan 28 07:47:20 PST 2020 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.